%global pkg_name tagsoup

%global common_summary Parsing HTML/XML documents library

%global common_description TagSoup is a library for parsing HTML/XML. It supports the \
HTML 5 specification, and can be used to parse either \
well-formed XML, or unstructured and malformed HTML from the \
web. The library also provides useful functions to extract \
information from an HTML document, making it ideal for \
screen-scraping. \
 \
Users should start from the "Text.HTML.TagSoup" module.

%global ghc_pkg_deps ghc-mtl-devel, ghc-network-devel

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.11.1
Release:        1%{?dist}
Summary:        Haskell %{pkg_name}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.0
%if %{with hscolour}
BuildRequires:  hscolour
%endif
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
rm -rf %{buildroot}
%ghc_lib_install
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/
install -m 644 tagsoup.htm -p %{buildroot}%{_docdir}/%{name}-%{version}/tagsoup.htm


%clean
rm -rf %{buildroot}


%{?ghc_lib_package}


%changelog
* Fri Oct 08 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-1
- Update to 0.11.1

* Tue Sep 21 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11-2
- Ship the tagsoup.htm file

* Sun Sep 12 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11-1
- Update to 0.11

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.10.1-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.10.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
